'use strict';

(function($) {
  $(function() {
    // ready
    init_slider();
  });

  $(document).on('wpcis_init_slider', function() {
    init_slider();
  });

  $(document).
      on('mouseover touchstart', wpcis_vars.product_selector, function() {
        let effect_in = $(this).find('.wpcis-swap-data').data('in');
        let effect_out = $(this).find('.wpcis-swap-data').data('out');

        $(this).find('.wpcis-swap-image').
            removeClass(effect_out).
            addClass('wpcis-show ' + effect_in);
      });

  $(document).
      on('mouseleave touchend', wpcis_vars.product_selector, function() {
        let effect_in = $(this).find('.wpcis-swap-data').data('in');
        let effect_out = $(this).find('.wpcis-swap-data').data('out');

        $(this).find('.wpcis-swap-image').
            removeClass('wpcis-show ' + effect_in).
            addClass(effect_out);
      });

  function init_slider() {
    $('.wpcis-slider:not(.wpcis-slider-initialized)').each(function() {
      let $this = $(this);
      let margin_bottom = $this.find('.attachment-woocommerce_thumbnail').
          css('marginBottom');
      let slider = null;

      if ($this.find('.wpcis-slider-slides').length &&
          ($this.find('.wpcis-slider-slides').data('slider') != undefined)) {
        let _slider = $this.find('.wpcis-slider-slides').data('slider');

        if (typeof _slider === 'object' && _slider !== null) {
          slider = _slider;
        }
      }

      if (typeof slider === 'object' && slider !== null) {
        slider.start = function() {
          $this.addClass('wpcis-slider-initialized');
          $this.find('.attachment-woocommerce_thumbnail').
              css('marginBottom', '0');
        };

        if (slider.animation !== 'fade' && slider.animation !== 'slide') {
          // custom animation
          let custom_animation = slider.animation;

          slider.animation = 'fade';
          slider.animationSpeed = 0;
          slider.after = function(slide) {
            $(slide).
                find('.wpcis-slider-image').
                removeClass(custom_animation).
                addClass('animate__animated');
            $(slide).
                find('.flex-active-slide .wpcis-slider-image').
                addClass(custom_animation);
          };
        }

        $this.find('.wpcis-slider-slides').
            css('marginBottom', margin_bottom).
            flexslider(slider);
      }
    });
  }
})(jQuery);
